Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1943693 (CVE-2021-32490) - CVE-2021-32490 djvulibre: Out of bounds write in function DJVU::filter_bv() via crafted djvu file
Summary: CVE-2021-32490 djvulibre: Out of bounds write in function DJVU::filter_bv() ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-32490
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1943408 1958171 1958172
Blocks: 1949947
TreeView+ depends on / blocked
 
Reported: 2021-03-26 20:05 UTC by Pedro Sampaio
Modified: 2021-11-04 14:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in djvulibre-3.5.28 and earlier. An out of bounds write in function DJVU::filter_bv() via crafted djvu file may lead to application crash and other consequences.
Clone Of:
Environment:
Last Closed: 2021-11-04 14:58:25 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-26 20:05:35 UTC
A flaw was found in latest djvulibre. An out of bounds write in function DJVU::filter_bv()  via crafted djvu file may lead to application crash and other consequences.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1943408

Comment 2 Michael Kaplan 2021-05-07 11:50:02 UTC
Created djvulibre tracking bugs for this issue:

Affects: epel-7 [bug 1958171]


Created mingw-djvulibre tracking bugs for this issue:

Affects: fedora-all [bug 1958172]

Comment 3 Michael Kaplan 2021-05-07 11:50:17 UTC
Created djvulibre tracking bugs for this issue:

Affects: fedora-all [bug 1943408]

Comment 4 Michael Kaplan 2021-05-10 17:07:45 UTC
Acknowledgments:

Name: 1vanChen (NSFOCUS Security Team)


Note You need to log in before you can comment on or make changes to this bug.